#---
# Excerpted from "Using memcached: How to scale your website easily",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/memcd for more book information.
#---

#!/usr/bin/perl
use strict;
use DBI;

use Time::HiRes qw( gettimeofday tv_interval);

# DBI configuration
my $dsn = "DBI:mysql:memcachedTesting:localhost";
my $user = "mcd";	#Notice, not root
my $pw = "n0pass";	#Notice, password 
my ($id, $password);
# Connect to server and database
my $dbh = DBI->connect($dsn, $user, $pw);
# Define Select query
my $myquery = $dbh->prepare(qq{select EventID, EventDate, Description, Details
	from calendarofevents where WebSiteID = 1});
my $table = "";

my $Counter = 0;
# Loop 
while ($Counter<100)
{
my $start = [gettimeofday];

# Execute the query
$myquery->execute();
# Start an HTML Table
$table = "<table border='1'><tr><th>EventDate</th><th>Details</th></tr>";
while (my ($EventID, $EventDate, $Description, $Details, $WebSiteID) = 
    $myquery->fetchrow_array())  # keep fetching until there's nothing left
{     $table = $table . "<tr><td>"
	.$Description."</td><td><a href=BookReservation.html?EventID="
	.$EventID.">".$Description."</a><br />"
	.$Details."</td></tr>\r\n"; }# End While
#Close query table
$myquery->finish();
#Close HTML table
$table = $table . "</table>";
print $table;

my $end = time;
print tv_interval($start, [gettimeofday]), "\r\n";
$Counter = $Counter + 1;
}
