#---
# Excerpted from "Using memcached: How to scale your website easily",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/memcd for more book information.
#---
#memcachedHashTest.pl
#!/usr/bin/perl
use strict;

use Cache::Memcached;

use String::Random;

# Set the server list up
my $memd = new Cache::Memcached {
'servers' => [ "127.0.0.1:11212" ],
};
my $RandomString = new String::Random ;
my $Guid1 = $RandomString->randpattern("....................................");

my $Guid2 = $RandomString->randpattern("....................................");
my $Guid3 = $RandomString->randpattern("....................................");
my $Guid4 = $RandomString->randpattern("....................................");
my $Guid5 = $RandomString->randpattern("....................................");

# Load the 5 static strings into memcached

$memd->set( $Guid1, $Guid1);
print $Guid1;

print "\r\n";
$memd->set( $Guid2, $Guid2);
print $Guid2;
print "\r\n";
$memd->set( $Guid3, $Guid3);
print $Guid3;
print "\r\n";
$memd->set( $Guid4, $Guid4);
print $Guid4;
print "\r\n";
$memd->set( $Guid5, $Guid5);
print $Guid5;
print "\r\n";
my $count = 0;

# Now, cycle through to load the memcached
for($count = 0; $count <= 10000; $count++)
{
	$memd->set( $RandomString->randpattern("...................................."), 
		    $RandomString->randpattern("...................................."));
	if(($count % 2)==0){
		$memd->get($Guid1);}

	if(($count % 5)==0){
		$memd->get($Guid2);
	}
	if(($count % 7)==0){
		$memd->get($Guid3);}
	if(($count % 500)==0){
		print ("\b\b\b\b\b\b\b\b\b\b\b\b\b");
		print $count;
	}

}

print ("\b\b\b\b\b\b\b\b\b\b\b\b\b\r\n");

my $val = $memd->get($Guid1);
if ($val) { print $val;} else {print "Guid1 not found!";}
print "\r\n";

$val = $memd->get($Guid2);
if ($val) { print $val;} else {print "Guid2 not found!";}
print "\r\n";
$val = $memd->get($Guid3);
if ($val) { print $val;} else {print "Guid3 not found!";}
print "\r\n";
$val = $memd->get($Guid4);
if ($val) { print $val;} else {print "Guid4 not found!";}
$val = $memd->get($Guid5);
print "\r\n";
if ($val) { print $val;} else {print "Guid5 not found!";}
print "\r\n";


#disconnect from all servers
$memd->disconnect_all();

