#---
# Excerpted from "Using memcached: How to scale your website easily",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/memcd for more book information.
#---
#memcachedCompresionExample.pl
#!/usr/bin/perl
use Cache::Memcached;
# Set the server list up
my $memd = new Cache::Memcached {'servers' => [ "127.0.0.1:11211" ],};

#flush the servers to remove any unwanted data before testing.
$memd->flush_all();
#set compression level
$memd->set_compress_threshold(1_000);
$memd->enable_compress(1);
open(HANDLE, "full.html");
undef $/;
 $raw_data = <HANDLE>;
close(HANDLE);
$memd->set("Compressed", $raw_data);
$memd->enable_compress(0);
$memd->set("Uncompressed", $raw_data);
#disconnect from all servers
$memd->disconnect_all();
